Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 176109 - Review Request: pytraffic
Summary: Review Request: pytraffic
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Mahowald
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2005-12-19 15:43 UTC by Michel Van den Bergh
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-22 18:59:31 UTC


Attachments (Terms of Use)

Description Michel Van den Bergh 2005-12-19 15:43:20 UTC
Spec Name or Url: http://alpha.uhasselt.be/Research/Algebra/Members/pytraffic/pytraffic.spec
SRPM Name or Url: 
http://alpha.uhasselt.be/Research/Algebra/Members/pytraffic/pytraffic-2.5.4-1.src.rpm
Description: A screen version of the well known sliding block puzzle "Rush Hour".

Comment 1 John Mahowald 2005-12-21 22:21:03 UTC
Use the python-abi in Requires like the template from the fedora-rpmdevtools
package.

fedora-qa script found:
* Scriptlets: missing "gtk-update-icon-cache" in %postun (wiki:
ScriptletSnippets) (in subpackage pytraffic)
* Source 0 is not available
(http://alpha.uhasselt.be/Research/Algebra/Members/pytraffic/pytraffic-2.5.4.tar.gz)
  (wiki: QAChecklist item 2)
* Scriptlets: missing "gtk-update-icon-cache" in %postun (wiki:
ScriptletSnippets) (in subpackage pytraffic)


Comment 2 Michel Van den Bergh 2005-12-23 07:36:57 UTC
Thanks for the comments! I addressed these in a new version.

New spec file:
http://alpha.uhasselt.be/Research/Algebra/Members/pytraffic/pytraffic.spec

New SRPM:
http://alpha.uhasselt.be/Research/Algebra/Members/pytraffic/pytraffic-2.5.4-2.src.rpm

Comment 3 Michel Van den Bergh 2005-12-25 14:55:15 UTC
I wonder if there are any more comments? This is my first package so
if it would be approved for inclusion I would need sponsoring...

Merry Christmas!

Comment 4 Michel Van den Bergh 2006-01-25 10:07:14 UTC
Ping...

Comment 5 John Mahowald 2006-01-25 19:03:35 UTC
I can't sponsor, unfortunately.

Have you considered splitting off a noarch data subpackage for most of the arch
independent data under /usr/share? Then make the main package depend on it.

Comment 6 Michel Van den Bergh 2006-01-27 09:37:09 UTC
>I can't sponsor, unfortunately.

Too bad... I hope somebody picks it up. I get lots of positive comments about
pytraffic from people who like the puzzle game Rush Hour.

I thought about putting the themes in a noarch package but it seems you cannot
make an arch and a noarch package from the same spec file... Splitting the spec
files seems inconvenient for now.

I made a new version of the spec file since I found out that the installer
should not strip binaries (rpm does this automatically).

http://alpha.uhasselt.be/Research/Algebra/Members/pytraffic/pytraffic.spec
http://alpha.uhasselt.be/Research/Algebra/Members/pytraffic/pytraffic-2.5.4-3.src.rpm

Comment 7 Aurelien Bompard 2006-03-05 16:40:00 UTC
John, you should be able to sponsor people now, aren't you ?

Comment 8 John Mahowald 2006-03-06 05:45:38 UTC
Yes, now I can.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file 

APPROVED, apply for cvsextras and I'll sponsor.

Comment 9 Michel Van den Bergh 2006-03-06 17:12:26 UTC
Thanks!!

I'm a bit busy with work right now but I will continue the procedure as soon as
I can. 

Comment 11 Jason Tibbitts 2007-05-22 18:59:31 UTC
So it's been well over a year now.  I think it's high time that this bug is closed.


Note You need to log in before you can comment on or make changes to this bug.